Page MenuHomePhabricator

Fields for caption and alt text do not appear in media and gallery dialogs
Closed, ResolvedPublic

Description

Fields for caption and alt text do not appear in media and gallery dialogs.

Example: https://en.wikipedia.beta.wmflabs.org/wiki/T299818 (affects production wikis as well)

image.png (2×3 px, 241 KB)

image.png (2×3 px, 259 KB)

Event Timeline

Change 756102 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[mediawiki/extensions/VisualEditor@master] Fix showing caption and alt text fields in media and gallery dialogs

https://gerrit.wikimedia.org/r/756102

ppelberg triaged this task as Unbreak Now! priority.Jan 22 2022, 4:08 AM

Change 756102 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Fix showing caption and alt text fields in media and gallery dialogs

https://gerrit.wikimedia.org/r/756102

Change 756583 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[mediawiki/extensions/VisualEditor@wmf/1.38.0-wmf.18] Fix showing caption and alt text fields in media and gallery dialogs

https://gerrit.wikimedia.org/r/756583

Change 756583 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@wmf/1.38.0-wmf.18] Fix showing caption and alt text fields in media and gallery dialogs

https://gerrit.wikimedia.org/r/756583

Mentioned in SAL (#wikimedia-operations) [2022-01-24T19:38:23Z] <urbanecm@deploy1002> Synchronized php-1.38.0-wmf.18/extensions/VisualEditor/modules/ve-mw/ui/dialogs/: 531efd0: Fix showing caption and alt text fields in media and gallery dialogs (T299818) (duration: 00m 48s)

matmarex moved this task from Doing to QA on the Editing-team (FY2021-22 Kanban Board) board.

This should be resolved everywhere now. Sorry about that…

The bug was caused by a maintenance release of the OOUI library, and one of the changes exposed a hidden bug in our code – we were displaying those two fields in the two dialogs into the page in an incorrect way, and it broke now even though it has been previously working fine since 2018 (f422ae2dcc0dc9c698cf37e90733ef25fbab9586).

matmarex lowered the priority of this task from Unbreak Now! to High.Jan 24 2022, 11:04 PM